Bug Hunting Session
Bug 44518 - EDITING: CRASH for any input in Full Screen Mode
Summary: EDITING: CRASH for any input in Full Screen Mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Kohei Yoshida
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks: mab3.5
  Show dependency treegraph
 
Reported: 2012-01-05 23:08 UTC by Roman
Modified: 2012-01-07 08:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman 2012-01-05 23:08:19 UTC
uname -r
3.1.6-calculate
app-office/libreoffice-3.4.99.2 

ctrl+shift+J=crash 
when you insert any number into a string. Output in the console there, the office is restarted.
Comment 1 Rainer Bielefeld Retired 2012-01-06 04:51:52 UTC
NOT reproducible with Parallel Dev-Installation of  "LibreOffice 3.5.0 Beta2- WIN7 Home Premium (64bit) German UI [Build-ID : 8589e48-760cc4d-f39cf3d-1b2857e-60db978]. I opened new CALC document from and did <contro+shift+j> as first action. Full screen as expected instead of crash!

@reporter:
May I ask you to read  hints on <http://wiki.documentfoundation.org/BugReport>?
Then please:
- Attach a sample document (not only screenshot)
- Attach screenshots with comments if you believe that that might explain the 
  problem better than a text comment. Best way is to insert your screenshots
  into a DRAW document and to add comments that explain what you want to show
- Contribute a step by step instruction containing every key press and every 
  mouse click how to reproduce your problem (and if possible how to created a 
  sample document from the scratch)
- add information 
  -- concerning your PC (video card, ...)
  -- concerning your OS (Version, Distribution, Language)
  -- concerning your LibO version and localization (UI language, Locale setting)
  –- Libo settings that might be related to your problems 
    (video hardware acceleration ...)
  -- how you launch LibO and how you opened the sample document
  –- If you can contribute an OOo Issue that might be useful
  -- everything else crossing your mind after you read linked texts
Comment 2 Rainer Bielefeld Retired 2012-01-06 23:19:23 UTC
[Reproducible] with Parallel Dev-Installation of  "LibreOffice 3.5.0 Beta2- WIN7 Home Premium (64bit) German UI [Build-ID : 8589e48-760cc4d-f39cf3d-1b2857e-60db978]:

1. Open new Calc document from LibO Start center
2. start Full screen mode by <alt+shift+j> or menu
3. type any number
   Expected: Number appears in Cell
   Actual: Crash

With what Version did the problem start?
Also [Reproducible] with Server installation of MSVC Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 485138f-e92bf75-4c1bcb5]" Win-x86@6 – 2011-12-06_21:37:02)

Also [Reproducible] with Server installation of MSVC Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) ENGLISH UI [Build ID:  2d0998f-090bcba-45cf606]" Win-x86@6 - 2011-12-01_08.37.54)

Also [Reproducible] with Server installation of  Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) GERMAN UI [Build ID: 130028f-b211287-090bcba-45cf606-05891e7]" Win-x86@9-Voreppe - 111130)

Here somewhere problem started !

Worked fine with Server installation of MSVC Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: a653e50-1f92ab1-3bd0388]" Win-x86@6  - 111128)

Worked fine with Server installation of Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) ENGLISH UI [(Build ID:  d38713d-5d03837-ca7e6f5-c4bb9bd-ce71330)]" (Voreppe_Win32_Tinderbox 111115)

@Kohei:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 3 Markus Mohrhard 2012-01-07 08:59:21 UTC
again a missing null pointer check in the new multiline bar, will be fixed in 3.5 beta3